Package classycle.classfile

# Class UTF8Constant

java.lang.Object
classycle.classfile.Constant
classycle.classfile.UTF8Constant

public class UTF8Constant extends Constant
Constant of an arbitrary Unicode string.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`UTF8Constant(Constant[] pool, String string)`
Creates an instance for the specified string.

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`
Returns the wrapped string.
`String`
`toString()`
Returns the constant type and the wrapped string.

### Methods inherited from class classycle.classfile.Constant

`extractConstantPool, getConstant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UTF8Constant

public UTF8Constant(Constant[] pool, String string)
Creates an instance for the specified string.

Parameters:
  `pool` - Constant pool.
  `string` - wrapped string.

## Method Details

### getString

public String getString()
Returns the wrapped string.

### toString

public String toString()
Returns the constant type and the wrapped string.

Overrides:
  `toString` in class `Object`